/**
 * $id:  $
 */
package org.jvnet.lookout.core.adapter;

import org.eclipse.core.runtime.MultiStatus;

/**
 * Denotes that for some reason a search could not be handled or executed. 
 * It contains a messages that describes the problem and possibly Throwable 
 * that caused it.
 * <p> 
 * It also contains a <code>MultiStatus</code> property that contains 
 * information on the plugin that originated it. 
 * 
 * @author Cleo Barretto
 *
 */
public class CannotSearchException extends Exception {

	private MultiStatus status;
	
	public CannotSearchException(String message, MultiStatus status) {
		super(message, status.getException());
		this.status = status;
	}
	
	public CannotSearchException(MultiStatus status) {
		super(status.getMessage(), status.getException());
		this.status = status;
	}

	public MultiStatus getStatus() {
		return status;
	}
}
